Skip to main content
PUT
https://api.tensormesh.ai
/
v1
/
users
/
{userId}
Update User Profile
curl --request PUT \
  --url https://api.tensormesh.ai/v1/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "displayName": "<string>",
  "company": "<string>"
}
'
{
  "empty": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Path Parameters

userId
string
required

The unique ID of the user to update.

Body

application/json

UpdateUserProfileRequest is the request for updating a user profile.

firstName
string

The new first name of the user.

lastName
string

The new last name of the user.

displayName
string

The new display name of the user.

company
string

The new company name of the user.

Response

A successful response.

UpdateUserProfileResponse is the response for updating a user profile.

empty
object

Empty response.